/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.vodafone;

import java.io.Serializable;

/**
 * ボーダフォン SAMF 情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface VodafoneSmaf extends Serializable {

	/**
	 * 和音数を返します。
	 * 
	 * @return 和音数を返します。
	 */
	public int getMelody();

	/**
	 * ADPCM 対応状況を返します。
	 * 
	 * @return ADPCM 対応状況を返します。
	 */
	public boolean isAdpcm();

	/**
	 * PCM 対応状況を返します。
	 * 
	 * @return PCM 対応状況を返します。
	 */
	public boolean isPcm();

	/**
	 * カラオケ(シンクロ)対応状況を返します。
	 * 
	 * @return カラオケ(シンクロ)対応状況を返します。
	 */
	public boolean isKaraoke();

	/**
	 * カラオケ(シンクロ)拡張対応状況を返します。
	 * 
	 * @return カラオケ(シンクロ)拡張対応状況を返します。
	 */
	public boolean isExKaraoke();

}
